path: /build/build/setproctitle-dev-python-1.3.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/setproctitle -pv -t && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/setproctitle
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/setproctitle && luet-portage --dir /pkgdir/setproctitle
    dev-python/setproctitle && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:2c0e30a620893f4bcb4937246d3b031a5f2f60f1bbcc63b3453e8cc683061281
  package:
    name: setproctitle
    version: 1.3.3
    category: dev-python
    use_flags:
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: xapps
      version: '>=0'
      category: x11-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Allow customization of the process title
    uri:
    - https://github.com/dvarrazzo/py-setproctitle
    license: BSD
    buildtimestamp: 2024-02-10 14:31:24.702335093 +0000 UTC m=+168.488920088
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        test? ( dev-python/nose[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        )
      IUSE: python_targets_python2_7 python_targets_python3_10 python_targets_python3_7
        python_targets_python3_9 python_targets_python3_8
      RDEPEND: python_targets_python2_7? ( dev-python/setproctitle-compat ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) python_targets_python3_7? ( dev-lang/python:3.7 )
        python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/setproctitle
      kit: python-modules-kit
      original.package.name: dev-python/setproctitle
      original.package.slot: "0"
      original.package.version: 1.3.3
    treedir: /build/packages
  package_dir: /pkgdir/setproctitle
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6565b157cf66fccf845a7d365dd46cf37e5d973a7d83f1297c597230e524b4a1
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/setproctitle/__init__.py
- usr/lib/python3.9/site-packages/setproctitle/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/setproctitle/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/setproctitle/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/setproctitle/_setproctitle.cpython-39-x86_64-linux-gnu.so
- usr/lib/python3.9/site-packages/setproctitle/py.typed
- usr/lib/python3.9/site-packages/setproctitle-1.3.3-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/setproctitle-1.3.3-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/setproctitle-1.3.3-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/setproctitle-1.3.3-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/setproctitle-1.3.3-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/setproctitle-1.3.3-py3.9.egg-info/top_level.txt
- usr/share/doc/setproctitle-1.3.3/README.rst.bz2
- var/db/pkg/dev-python/setproctitle-1.3.3/BDEPEND
- var/db/pkg/dev-python/setproctitle-1.3.3/BUILD_TIME
- var/db/pkg/dev-python/setproctitle-1.3.3/CATEGORY
- var/db/pkg/dev-python/setproctitle-1.3.3/CBUILD
- var/db/pkg/dev-python/setproctitle-1.3.3/CFLAGS
- var/db/pkg/dev-python/setproctitle-1.3.3/CHOST
- var/db/pkg/dev-python/setproctitle-1.3.3/CONTENTS
- var/db/pkg/dev-python/setproctitle-1.3.3/COUNTER
- var/db/pkg/dev-python/setproctitle-1.3.3/CXXFLAGS
- var/db/pkg/dev-python/setproctitle-1.3.3/DEFINED_PHASES
- var/db/pkg/dev-python/setproctitle-1.3.3/DESCRIPTION
- var/db/pkg/dev-python/setproctitle-1.3.3/EAPI
- var/db/pkg/dev-python/setproctitle-1.3.3/FEATURES
- var/db/pkg/dev-python/setproctitle-1.3.3/HOMEPAGE
- var/db/pkg/dev-python/setproctitle-1.3.3/INHERITED
- var/db/pkg/dev-python/setproctitle-1.3.3/IUSE
- var/db/pkg/dev-python/setproctitle-1.3.3/IUSE_EFFECTIVE
- var/db/pkg/dev-python/setproctitle-1.3.3/KEYWORDS
- var/db/pkg/dev-python/setproctitle-1.3.3/LDFLAGS
- var/db/pkg/dev-python/setproctitle-1.3.3/LICENSE
- var/db/pkg/dev-python/setproctitle-1.3.3/NEEDED
- var/db/pkg/dev-python/setproctitle-1.3.3/PF
- var/db/pkg/dev-python/setproctitle-1.3.3/PROVIDES
- var/db/pkg/dev-python/setproctitle-1.3.3/RDEPEND
- var/db/pkg/dev-python/setproctitle-1.3.3/REQUIRES
- var/db/pkg/dev-python/setproctitle-1.3.3/SIZE
- var/db/pkg/dev-python/setproctitle-1.3.3/SLOT
- var/db/pkg/dev-python/setproctitle-1.3.3/USE
- var/db/pkg/dev-python/setproctitle-1.3.3/environment.bz2
- var/db/pkg/dev-python/setproctitle-1.3.3/repository
- var/db/pkg/dev-python/setproctitle-1.3.3/setproctitle-1.3.3.ebuild
package_cacheimage: ""
runtime:
  name: setproctitle
  version: 1.3.3
  category: dev-python
  use_flags:
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Allow customization of the process title
  uri:
  - https://github.com/dvarrazzo/py-setproctitle
  license: BSD
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      test? ( dev-python/nose[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      )
    IUSE: python_targets_python2_7 python_targets_python3_10 python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8
    RDEPEND: python_targets_python2_7? ( dev-python/setproctitle-compat ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/setproctitle
    kit: python-modules-kit
    original.package.name: dev-python/setproctitle
    original.package.slot: "0"
    original.package.version: 1.3.3
